# $Revision: 1.18 $, $Date: 2010/07/08 08:41:13 $

%define	module	SQLObject
%define _module sqlobject

Summary:	Object-Relational Manager, aka database wrapper
Summary(pl.UTF-8):	Zarządca obiektowo-relacyjny, czyli wrapper dla baz danych
Name:		python-%{module}
Version:	0.10.4
Release:	2
License:	LGPL
Vendor:		Ian Bicking <ianb@colorstudy.com>
Group:		Development/Languages/Python
Source0:	http://cheeseshop.python.org/packages/source/S/SQLObject/%{module}-%{version}.tar.gz
# Source0-md5:	20039279c5b799c49e6496b9fe71f03f
URL:		http://sqlobject.org
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-setuptools
%pyrequires_eq	python-modules
Requires:	python-FormEncode >= 0.2.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience. Works with MySQL, PostgreSQL, SQLite,
Firebird.

%description -l pl.UTF-8
Klasy tworzone przy użyciu SQLObject opakowują wiersze bazy danych,
prezentując przyjaźnie wyglądający obiekt Pythona zamiast interfejsu
bazy danych/SQL. Nacisk położony jest na wygodę. Działa z MySQL-em,
PostgreSQL-em, SQLite, Firebirdem.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python -- setup.py install \
	--single-version-externally-managed \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt PKG-INFO docs 
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{_module}
%{py_sitescriptdir}/SQLObject*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-SQLObject.spec,v $
Revision 1.18  2010/07/08 08:41:13  arekm
- release 2

Revision 1.17  2009/01/06 18:20:37  witekfl
- up to 0.10.4

Revision 1.16  2009/01/06 18:18:22  witekfl
- up to 0.10.2
- rel 1

Revision 1.15  2008/10/14 06:43:13  arekm
- release 3

Revision 1.14  2008/10/03 18:01:47  arekm
- release 2

Revision 1.13  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.12  2006/10/28 12:48:34  wiget
- updated to official 0.7.1
- spec in UTF-8

Revision 1.11  2006/09/30 23:08:37  arekm
- rel .2

Revision 1.10  2006/03/20 16:11:09  wiget
- updated to 0.7.1-r1643 (bugfix branch for 0.7 - required by TurboGears)

Revision 1.9  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.8  2005/12/20 20:09:49  arekm
- package egg part, too

Revision 1.7  2005/10/23 22:50:07  qboosh
- gpm-friendly Source0 URL

Revision 1.6  2005/10/23 21:17:21  heretyk
- up to version 0.7.0

Revision 1.5  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.4  2005/02/20 00:18:27  jpc
- up to 0.6.1

Revision 1.3  2004/12/30 22:22:06  qboosh
- pl, removed bogus CFLAGS (package is noarch)

Revision 1.2  2004/12/30 20:14:50  radzio
- s/prdownloads/dl/

Revision 1.1  2004/12/30 19:56:19  radzio
- init rel
